import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:local_camera/local_camera.dart';

void main() {
  const MethodChannel channel = MethodChannel('local_camera');

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await LocalCamera.platformVersion, '42');
  });
}
