import 'dart:async';

import 'package:flutter/services.dart';

class LocalCamera {
  static const MethodChannel _channel =
      const MethodChannel('camera.com/picture');

  static Future<void> takePhoto() async {
    try {
      return await _channel.invokeMethod('getPhoto');
    } catch (e) {
      return e.message + "\n This issue occured in the flutter portion of the local camera package.";
    }
  }

  static Future<String> get filePath async{
    try {
      return await _channel.invokeMethod('getFilePath');
    } catch (e) {
      return e.message + "\n This issue occured in the flutter portion of the local camera package.";
    }
  }
}
