import 'package:flutter/material.dart';
import 'dart:async';

import 'package:local_camera/local_camera.dart';

void main() => runApp(MyApp());

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  String _filepath;
  @override
  void initState() {
    super.initState();
  }

  Future<String> _getFilePath()async{
     _filepath =await LocalCamera.filePath; 
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(body: Column(children: <Widget>[
      RaisedButton(child: Text('Take picture'),onPressed: (){
        LocalCamera.takePhoto();
      },), RaisedButton(child: Text('Show filepath'),onPressed: (){
        setState(() {
         _getFilePath();
        });
      },), Text(_filepath)
    ],),);
  }

}
